Subject: [siprec] protocol draft - Media Stream Updates.

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 22 Feb 2012 15:54:57 +0100

Hi,

Section 6.1.1 of the protocol draft states:

"To add a recorded stream to the recording session, the SRC sends a new SDP offer by adding a new media stream description or by reusing an old media stream which had been previously disabled, according to the procedures in [RFC3264]".

For clarity we probably should say something about the SDP labels that go into the media lines.

I assume that once a media line has its port set to zero then the SDP label that was associated with it is no longer valid and should not be re-used. When a previously disabled media line is re-used then a new label will be needed.

Regards
Andy

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 22 Feb 2012 10:20:18 -0500

> I assume that once a media line has its port set to zero then the SDP label that was associated with it is no longer valid and should not be re-used. When a previously disabled media line is re-use…

I don't see any particular reason why that needs to be so.
IMO the only purpose of the label is to allow a reference from the 
metadata in a message to an m-line *in the same message*.
I see no need for the label to have any broader significance than that.

Based on this assumption, it really doesn't matter if the labels are 
reused or not.

	Thanks,
	Paul

---

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 22 Feb 2012 17:17:43 +0100

Is it really the intention that the scope of the label only applies to a single SIP message?

This is not stated in the protocol draft or the metadata draft and the examples in the metadata draft would tend to lead to a different conclusion.

If this is the case then I guess that the label attribute in SDP would only be mandatory in cases where there is relevant metadata to refer to. This is also not stated.

Regards
Andy

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Paul Kyzivat
> Sent: 22 February 2012 15:20
> To: [email-masked]
> Subject: Re: [siprec] protocol draft - Media Stream Updates.
> 
> > "To add a recorded stream to the recording session, the SRC sends a
> new SDP offer by adding a new media stream description or by reusing an
> old media stream which had been previously disabled, according to the
> procedures in [RFC3264]".
> >
> > I assume that once a media line has its port set to zero then the SDP
> label that was associated with it is no longer valid and should not be
> re-used. When a previously disabled media line is re-used then a new
> label will be needed.
> 
> _______________________________________________
> siprec mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/siprec

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 22 Feb 2012 11:27:14 -0500

> If this is the case then I guess that the label attribute in SDP would only be mandatory in cases where there is relevant metadata to refer to. This is also not stated.

This was *my* concept of how it would work.
Perhaps others don't see it that way.
Lets see what others have to say.

	Thanks,
	Paul

---

From: "Henry Lum" <[email-masked]>
Date: Wed, 22 Feb 2012 08:50:00 -0800

I don't see a reason why you cannot reuse the same label for future
uses. As Paul mentioned, I see that the label is local to the metadata
in the same SIP message. 

Henry

> Sent: February-22-12 11:27 AM
> To: Hutton, Andrew
> Cc: [email-masked]
> > This is not stated in the protocol draft or the metadata draft and
> the examples in the metadata draft would tend to lead to a different
> conclusion.
> >
> > If this is the case then I guess that the label attribute in SDP
> would only be mandatory in cases where there is relevant metadata to
> refer to. This is also not stated.
> 
> >> new SDP offer by adding a new media stream description or by
reusing
> an

---

From: "Ravindran, Parthasarathi" <[email-masked]>
Date: Wed, 22 Feb 2012 17:07:41 +0000

Andy,

I agree with Paul that scope of SDP label is within the single SIP message and it is as per RFC4574. It shall be reused but it is not required to same. In fact, there is a long discussion initially whether SDP label shall be used as stream unique id instead of extra URN UUID for stream. The idea of using label attribute was not accepted because SDP label scope is within the given message. Please let us know in case you specific concern here.

In case you wish to add the clarity text about label attribute usage, I'm with you because it helps implementers.

Thanks
Partha

>From: [email-masked] [mailto:[email-masked]] On Behalf
>Of Henry Lum
>Sent: Wednesday, February 22, 2012 10:20 PM
>To: Paul Kyzivat; Hutton, Andrew
>Cc: [email-masked]

---

From: "Hutton, Andrew" <[email-masked]>
Date: Wed, 22 Feb 2012 22:20:57 +0100

Ok I have no objections to the label scope being limited to the metadata carried in the same SIP message as the SDP but we do need to make that very clear in I think both the protocol and metadata draft.

At present it the scope does not seem clearly specified to me.

Regards
Andy

> From: Ravindran, Parthasarathi [mailto:[email-masked]]
> Sent: 22 February 2012 17:08
> To: Henry Lum; Paul Kyzivat; Hutton, Andrew
> Cc: [email-masked]
> Subject: RE: [siprec] protocol draft - Media Stream Updates.
> 
> Andy,
> 
> I agree with Paul that scope of SDP label is within the single SIP
> message and it is as per RFC4574. It shall be reused but it is not
> required to same. In fact, there is a long discussion initially whether
> SDP label shall be used as stream unique id instead of extra URN UUID
> for stream. The idea of using label attribute was not accepted because
> SDP label scope is within the given message. Please let us know in case
> you specific concern here.
> 
> In case you wish to add the clarity text about label attribute usage,
> I'm with you because it helps implementers.
> 
> Thanks
> Partha
> 
> Behalf
> >> > Is it really the intention that the scope of the label only
> applies
> >> to a single SIP message?
> >> >
> >> >>> "To add a recorded stream to the recording session, the SRC
> sends
> >a
> >> >>> For clarity we probably should say something about the SDP
> labels
> >> >> that go into the media lines.
> >> >>>
> >> >>> I assume that once a media line has its port set to zero then
> the
> >> SDP
> >> >> label that was associated with it is no longer valid and should
> not
> >> be

---

From: "Ravindran, Parthasarathi" <[email-masked]>
Date: Thu, 23 Feb 2012 00:03:05 +0000

Hi Andy,

Thanks for the closure. We'll update metadata draft with the scope of label attribute.

Thanks
Partha 

>From: Hutton, Andrew [mailto:[email-masked]]
>Sent: Thursday, February 23, 2012 2:51 AM
>To: Ravindran, Parthasarathi; Henry Lum; Paul Kyzivat
>Cc: [email-masked]
>Ok I have no objections to the label scope being limited to the metadata
>carried in the same SIP message as the SDP but we do need to make that
>very clear in I think both the protocol and metadata draft.
>
>> required to same. In fact, there is a long discussion initially
>> whether SDP label shall be used as stream unique id instead of extra
>> URN UUID for stream. The idea of using label attribute was not
>> accepted because SDP label scope is within the given message. Please
>> let us know in case you specific concern here.
>>
>> >uses. As Paul mentioned, I see that the label is local to the
>> >metadata in the same SIP message.
>> >
>> >Henry
>> >
>> >> the examples in the metadata draft would tend to lead to a
>> >> different conclusion.
>> >> >
>> >> would only be mandatory in cases where there is relevant metadata
>> >> to refer to. This is also not stated.
>> >>
>> >> >> From: [email-masked] [mailto:[email-masked]]
>> >> >> On Behalf Of Paul Kyzivat
>> >> >> old media stream which had been previously disabled, according
>> >> >> to
>> >> the
>> >> >> I see no need for the label to have any broader significance
>> >> >> than
>> >> that.
>> >> >>

---

From: "Hutton, Andrew" <[email-masked]>
Date: Thu, 23 Feb 2012 09:33:35 +0100

Thanks.

We also need to find some words for the protocol draft.

Regards
Andy

> Sent: 23 February 2012 00:03
> To: Hutton, Andrew; Henry Lum; Paul Kyzivat
> Cc: [email-masked]
> >> >> >> re-used. When a previously disabled media line is re-used then
> a
> >> >new
> >> >> >> label will be needed.
> >> >> >>
> >> >> >> Based on this assumption, it really doesn't matter if the
> labels
> >> >are
> >> >> >> reused or not.
> >> >> >>
> >> >> >> 	Thanks,
> >> >> >> 	Paul